# Mutex Class Reference

`#include <_thread.h>`

Inheritance diagram for Mutex:

List of all members.

## Public Member Functions

| Mutex ()
| ~Mutex ()
void | Lock (void)
bool | TryLock (void)
void | UnLock (void)

## Detailed Description

Definition at line 472 of file _thread.h.

## Constructor & Destructor Documentation

Mutex::Mutex | ( |  | ) | `[inline]`

Definition at line 476 of file _thread.h.

Mutex::~Mutex | ( |  | ) | `[inline]`

Definition at line 477 of file _thread.h.

## Member Function Documentation

void Mutex::Lock | ( | void |  | ) | `[inline]`

Definition at line 478 of file _thread.h.

Referenced by Condition::Wait(), and Condition::WaitNext().

bool Mutex::TryLock | ( | void |  | ) | `[inline]`

Definition at line 479 of file _thread.h.

void Mutex::UnLock | ( | void |  | ) | `[inline]`

Definition at line 480 of file _thread.h.

Referenced by Condition::Wait(), and Condition::WaitNext().

The documentation for this class was generated from the following file:

- _thread.h